Subject: Re: bug#44558: Mesa isn't update to date

From: Guillaume Le Vaillant <[email-masked]>
Date: Fri, 13 Nov 2020 14:56:52 +0100

Marius Bakke <[email-masked]> skribis:

> Guillaume Le Vaillant <[email-masked]> writes:
>
>> Tobias Geerinckx-Rice via Bug reports for GNU Guix <[email-masked]> skribis:
>>
>>> Romulasry, are you suffering from specific Mesa 20.0.7 problems that 20.2.2
>>> might fix?  Please let us know.  An otherwise working package not being at the
>>> latest upstream version isn't a bug.
>>>
>>> romulasry via Bug reports for GNU Guix 写道：
>>>> Mesa 20.2.2 is released
>>>
>>> The core-updates branch updates Mesa to 20.1.9.  Would you like to submit
>>> a (tested) core-updates patch updating it to 20.2.2?
>>
>> Hi,
>>
>> Mesa 20.2 brings direct OpenGL rendering support for Nvidia RTX 20xx
>> graphic cards with the nouveau driver, whereas with our current version
>> these cards have to use LLVMpipe.
>> I tested the update quickly on my local staging branch using glxgears
>> and vlc, and it worked fine. When reading a video the CPU usage dropped
>> from 30% to 2%, which is nice.
>
> That is great news.
>
> The current 'staging' branch is just about ready for merge[*], so a Mesa
> update will have to wait until the next round.
>
> However, I think libGL is fairly ABI-stable, so you may be able to
> "graft" this version in the mean time, like in commit
> fdd883509301845ddb4dc90e70e58b469afb5441.
>
> [*] gst-plugins-good fails on armhf and i686, not sure what to do about
> it yet: https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/803

I'll try this grafting trick, thanks for the pointer.

I saw that issue 803 of gst-plugin-good has been closed with patch
2ce5909f; are there other things blocking the merge of the 'staging'
branch into 'master'?